package routers

import (
	"bzd_server/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	beego.Router("/UpFileToken", &controllers.UpFileController{}, "*:ConfigUpFileToken") // *全部；  get,post:

	beego.Router("/Task/List", &controllers.TaskController{}, "*:List") //

	beego.Router("/Task/Get", &controllers.TaskController{}, "*:Get") //
	beego.Router("/Task/Add", &controllers.TaskController{}, "*:Add") //
	beego.Router("/Task/Up", &controllers.TaskController{}, "*:Up")   //
	beego.Router("/Task/Del", &controllers.TaskController{}, "*:Del") //

	// 日志
	beego.Router("/TaskLogs/List", &controllers.TaskController{}, "*:Logs_List")

	// 提取数据
	beego.Router("/TaskData/Extract_TaskData", &controllers.TaskDataController{}, "*:Extract_TaskData")
	beego.Router("/TaskData/TaskDataClass_List", &controllers.TaskDataController{}, "*:TaskDataClass_List")
	beego.Router("/TaskData/List", &controllers.TaskDataController{}, "*:TaskData_List")
	beego.Router("/TaskData/Add", &controllers.TaskDataController{}, "*:TaskData_Add")         //
	beego.Router("/TaskData/AddS", &controllers.TaskDataController{}, "*:TaskData_AddS")       //
	beego.Router("/TaskData/Up", &controllers.TaskDataController{}, "*:TaskData_Up")           //
	beego.Router("/TaskData/Del", &controllers.TaskDataController{}, "*:TaskData_Del")         //
	beego.Router("/TaskData/DelTid", &controllers.TaskDataController{}, "*:TaskData_Del_t_id") //

	beego.Router("/TaskData/Export_Data_Excel", &controllers.TaskDataController{}, "*:Export_Data_Excel") // 设置 设备参数
	beego.Router("/TaskData/Export_Data_PDF", &controllers.TaskDataController{}, "*:Export_Data_PDF")     // 设置 设备参数

	// 校验
	beego.Router("/TaskData/Check", &controllers.TaskDataController{}, "*:Check") // 设置 设备参数

	// 公司用户
	beego.Router("/UserTask/List", &controllers.TaskController{}, "*:UserTaskList") //
	beego.Router("/UserTaskData/List", &controllers.TaskDataController{}, "*:UserTaskData_List")

}
